﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;

namespace AutoComplateBox_Cell
{
	/// <summary>
	/// Interaction logic for MainWindow.xaml
	/// </summary>
	public partial class MainWindow : Window
	{
		public MainWindow()
		{
			InitializeComponent();
			this.DataContext = new MainViewModel();
		}

        private void RadGridView_CellEditEnded(object sender, Telerik.Windows.Controls.GridViewCellEditEndedEventArgs e)
        {
            if(e.EditAction == Telerik.Windows.Controls.GridView.GridViewEditAction.Commit)
            {
                var autoCompleteBoxCollection = (this.DataContext as MainViewModel).AutoCompleteBoxCollection;
                var customerOffice = (e.Cell.DataContext as GridItem).Customer_Office;
                var autoCompleteBox = (e.EditingElement as UIElement).ChildrenOfType<RadAutoCompleteBox>().FirstOrDefault();
                var searchText = autoCompleteBox.SearchText;

                if (!string.IsNullOrEmpty(searchText) || !string.IsNullOrWhiteSpace(searchText))
                {
                    if (!autoCompleteBoxCollection.Contains(searchText))
                    {
                        autoCompleteBoxCollection.Add(searchText);
                        (e.Cell.DataContext as GridItem).Customer_Office = autoCompleteBoxCollection.Last();
                    }
                }
            }
            
        }
    }
}
